
public class a implements Interface49 {

   Runnable aRunnable114;
   ja aja115;
   long nativeid;
   Class317 aClass317_116;
   h[] ahArray117 = new h[7];
   h[] ahArray118 = new h[7];


   a(ja var1, int var2, int var3) {
      this.aja115 = var1;

      for(int var4 = 0; var4 < 7; ++var4) {
         this.ahArray118[var4] = new h(this.aja115);
         this.ahArray117[var4] = new h(this.aja115);
      }

      this.aClass317_116 = new Class317();
      this.ha(this.nativeid, var1, var2, var3);
   }

   void method559() {
      this.aRunnable114 = Thread.currentThread();
      this.method560();
   }

   native void bw(long var1, long var3, int var5, int var6, int var7, int var8, int var9, int var10, int var11, boolean[][] var12);

   public void finalize() {
      if(this.nativeid != 0L) {
         Class164.method2837(this, 2091124832);
      }

   }

   native void ha(long var1, Class545 var3, int var4, int var5);

   public void ma(boolean var1) {
      this.R(this.nativeid, var1);
   }

   native void R(long var1, boolean var3);

   void method560() {
      this.JA(this.nativeid);
   }

   native void JA(long var1);

   void method561(Class545 var1, int[] var2, int[] var3, int[] var4, short[] var5, int var6) {
      this.b(this.nativeid, var1, var2, var3, var4, var5, var6);
   }

   native void J(long var1, long var3, int[] var5, float[] var6);

   native void w(long var1, Class545 var3, int var4, int var5);

   native void K(long var1, Class545 var3, int var4, int var5, int var6, int var7, int var8, int var9, int var10);

   void method562(Class568 var1, Class568 var2, int var3, int var4, int var5, boolean var6) {
      this.P(this.nativeid, ((h)var1).nativeid, ((h)var2).nativeid, var3, var4, var5, var6);
   }

   native void P(long var1, long var3, long var5, int var7, int var8, int var9, boolean var10);

   void method563(Class568 var1, Class328 var2, int[] var3, int var4) {
      this.aClass317_116.method5613(var2);
      this.wa(this.nativeid, ((h)var1).nativeid, this.aClass317_116.aFloatArray4000, var3, var4);
   }

   native void wa(long var1, long var3, float[] var5, int[] var6, int var7);

   void method564(Class545 var1, int[] var2, int[] var3, int[] var4, short[] var5, int var6) {
      this.b(this.nativeid, var1, var2, var3, var4, var5, var6);
   }

   void method565(Class400 var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8, boolean[][] var9) {
      this.i(this.nativeid, ((i)var1).nativeid, var2, var3, var4, var5, var6, var7, var8, var9);
   }

   void method566(Class568 var1, int[] var2, Class328 var3) {
      this.aClass317_116.method5613(var3);
      this.J(this.nativeid, ((h)var1).nativeid, var2, this.aClass317_116.aFloatArray4000);
   }

   void method567() {
      this.JA(this.nativeid);
   }

   void method568(Class568 var1, Class568 var2, int var3, int var4, int var5, boolean var6) {
      this.P(this.nativeid, ((h)var1).nativeid, ((h)var2).nativeid, var3, var4, var5, var6);
   }

   native void v(long var1, long var3, int var5, int var6);

   native boolean ya(long var1, long var3, int var5, int var6, float[] var7, boolean var8);

   native void aw(long var1, long var3, long var5, int var7, int var8, int var9, boolean var10);

   Class568 method569(h var1, byte var2, int var3, boolean var4) {
      boolean var5 = false;
      h var6;
      h var7;
      if(var2 > 0 && var2 <= 7) {
         var6 = this.ahArray117[var2 - 1];
         var7 = this.ahArray118[var2 - 1];
         var5 = true;
      } else {
         var7 = var6 = new h(this.aja115);
      }

      var1.BA(var7, var6, var3, var5, var4);
      var7.aClass80Array7628 = var1.aClass80Array7628;
      var7.aClass166Array7625 = var1.aClass166Array7625;
      return var7;
   }

   void method570() {
      if(this.nativeid != 0L) {
         Class164.method2837(this, 1523644592);
      }

   }

   void method571() {
      if(this.nativeid != 0L) {
         Class164.method2837(this, 1660989151);
      }

   }

   public void y(boolean var1) {
      this.R(this.nativeid, var1);
   }

   void method572() {
      this.aRunnable114 = Thread.currentThread();
      this.method560();
   }

   Class568 method573(h var1, byte var2, int var3, boolean var4) {
      boolean var5 = false;
      h var6;
      h var7;
      if(var2 > 0 && var2 <= 7) {
         var6 = this.ahArray117[var2 - 1];
         var7 = this.ahArray118[var2 - 1];
         var5 = true;
      } else {
         var7 = var6 = new h(this.aja115);
      }

      var1.BA(var7, var6, var3, var5, var4);
      var7.aClass80Array7628 = var1.aClass80Array7628;
      var7.aClass166Array7625 = var1.aClass166Array7625;
      return var7;
   }

   void method574(Class400 var1, int var2, int var3) {
      this.v(this.nativeid, ((i)var1).nativeid, var2, var3);
   }

   native void g(long var1, Class545 var3, int var4, int var5);

   native void b(long var1, Class545 var3, int[] var4, int[] var5, int[] var6, short[] var7, int var8);

   native void k(long var1, boolean var3);

   void method575() {
      this.JA(this.nativeid);
   }

   void method576() {
      if(this.nativeid != 0L) {
         Class164.method2837(this, 1504300058);
      }

   }

   native void t(long var1);

   boolean method577(Class568 var1, int var2, int var3, Class328 var4, boolean var5) {
      this.aClass317_116.method5613(var4);
      return this.ya(this.nativeid, ((h)var1).nativeid, var2, var3, this.aClass317_116.aFloatArray4000, var5);
   }

   native void e(long var1);

   native void ad(long var1);

   void method578(Class568 var1, Class328 var2, int[] var3, int var4) {
      this.aClass317_116.method5613(var2);
      this.wa(this.nativeid, ((h)var1).nativeid, this.aClass317_116.aFloatArray4000, var3, var4);
   }

   void method579(Class545 var1, int[] var2, int[] var3, int[] var4, short[] var5, int var6) {
      this.b(this.nativeid, var1, var2, var3, var4, var5, var6);
   }

   native void ag(long var1, Class545 var3, int[] var4, int[] var5, int[] var6, short[] var7, int var8);

   native void ae(long var1, Class545 var3, int[] var4, int[] var5, int[] var6, short[] var7, int var8);

   void method580(Class545 var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8) {
      this.K(this.nativeid, var1, var2, var3, var4, var5, var6, var7, var8);
   }

   void method581(Class545 var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8) {
      this.K(this.nativeid, var1, var2, var3, var4, var5, var6, var7, var8);
   }

   native void ao(long var1, Class545 var3, int var4, int var5, int var6, int var7, int var8, int var9, int var10);

   native void aq(long var1, Class545 var3, int var4, int var5, int var6, int var7, int var8, int var9, int var10);

   native void i(long var1, long var3, int var5, int var6, int var7, int var8, int var9, int var10, int var11, boolean[][] var12);

   void method582(Class568 var1, Class568 var2, int var3, int var4, int var5, boolean var6) {
      this.P(this.nativeid, ((h)var1).nativeid, ((h)var2).nativeid, var3, var4, var5, var6);
   }

   void method583(Class568 var1, int[] var2, Class328 var3) {
      this.aClass317_116.method5613(var3);
      this.J(this.nativeid, ((h)var1).nativeid, var2, this.aClass317_116.aFloatArray4000);
   }

   void method584(Class568 var1, Class568 var2, int var3, int var4, int var5, boolean var6) {
      this.P(this.nativeid, ((h)var1).nativeid, ((h)var2).nativeid, var3, var4, var5, var6);
   }

   native void an(long var1, long var3, long var5, int var7, int var8, int var9, boolean var10);

   void method585(Class568 var1, Class568 var2, int var3, int var4, int var5, boolean var6) {
      this.P(this.nativeid, ((h)var1).nativeid, ((h)var2).nativeid, var3, var4, var5, var6);
   }

   void method586(Class568 var1, Class328 var2, int[] var3, int var4) {
      this.aClass317_116.method5613(var2);
      this.wa(this.nativeid, ((h)var1).nativeid, this.aClass317_116.aFloatArray4000, var3, var4);
   }

   native boolean ay(long var1, long var3, int var5, int var6, float[] var7, boolean var8);

   native void au(long var1, long var3, float[] var5, int[] var6, int var7);

   native void s(long var1);

   native boolean am(long var1, long var3, int var5, int var6, float[] var7, boolean var8);

   native boolean aa(long var1, long var3, int var5, int var6, float[] var7, boolean var8);

   native void br(long var1, long var3, int var5, int var6);

   boolean method587(Class568 var1, int var2, int var3, Class328 var4, boolean var5) {
      this.aClass317_116.method5613(var4);
      return this.ya(this.nativeid, ((h)var1).nativeid, var2, var3, this.aClass317_116.aFloatArray4000, var5);
   }

   native void av(long var1, long var3, int[] var5, float[] var6);

   native void ak(long var1, long var3, int[] var5, float[] var6);

   Class568 method588(h var1, byte var2, int var3, boolean var4) {
      boolean var5 = false;
      h var6;
      h var7;
      if(var2 > 0 && var2 <= 7) {
         var6 = this.ahArray117[var2 - 1];
         var7 = this.ahArray118[var2 - 1];
         var5 = true;
      } else {
         var7 = var6 = new h(this.aja115);
      }

      var1.BA(var7, var6, var3, var5, var4);
      var7.aClass80Array7628 = var1.aClass80Array7628;
      var7.aClass166Array7625 = var1.aClass166Array7625;
      return var7;
   }

   native void bi(long var1, long var3, int var5, int var6);

   void method589(Class545 var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8) {
      this.K(this.nativeid, var1, var2, var3, var4, var5, var6, var7, var8);
   }

   void method590(Class400 var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8, boolean[][] var9) {
      this.i(this.nativeid, ((i)var1).nativeid, var2, var3, var4, var5, var6, var7, var8, var9);
   }

   void method591(Class400 var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8, boolean[][] var9) {
      this.i(this.nativeid, ((i)var1).nativeid, var2, var3, var4, var5, var6, var7, var8, var9);
   }

   native void bk(long var1, long var3, int var5, int var6, int var7, int var8, int var9, int var10, int var11, boolean[][] var12);

   void method592(Class400 var1, int var2, int var3) {
      this.v(this.nativeid, ((i)var1).nativeid, var2, var3);
   }

   native void bf(long var1, long var3, int var5, int var6, int var7, int var8, int var9, int var10, int var11, boolean[][] var12);
}
